> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get document type



## OpenAPI

````yaml get /v1/document-types/{id}
openapi: 3.0.0
info:
  title: Settings APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/settings
  - url: https://staging.api.eu.aptlydone.com/settings
  - url: https://api.us.aptlydone.com/settings
  - url: https://api.eu.aptlydone.com/settings
security: []
tags: []
paths:
  /v1/document-types/{id}:
    get:
      tags:
        - document-types
      summary: Get document type
      operationId: TenantDocumentTypeController_getDocumentType_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Document type details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantDocumentTypeResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    TenantDocumentTypeResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:20.711Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/TenantDocumentTypeResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    TenantDocumentTypeResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 88287498-ed7a-482a-9a5a-d645adf3025a
          description: Unique identifier
        tenantId:
          type: string
          example: 5148e3a6-193b-4922-93c2-16d2a399ec1f
          description: Tenant ID
        typeName:
          type: string
          description: Document type name
          example: Invoice
        status:
          type: boolean
          description: Status
          example: true
        isDefault:
          type: boolean
          example: false
          description: Is default flag
        isDeleted:
          type: boolean
          example: false
          description: Is deleted flag
        createdAt:
          format: date-time
          type: string
          example: '2024-01-12T00:00:00.000Z'
          description: Created date
        updatedAt:
          format: date-time
          type: string
          example: '2024-01-12T00:00:00.000Z'
          description: Updated date
      required:
        - id
        - tenantId
        - typeName
        - status
        - isDefault
        - isDeleted
        - createdAt
        - updatedAt
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````